config = {
 'expname': 'kpopnerf',
 'logdir': './logs/final/1',
 'device': 'cuda:0',

 # Run first for 1 step with data_downsample=4 to generate weights for ray importance sampling
 'data_downsample': 2,
 'pose_type': 'reh',
 'data_dirs': ['./poses'],
 'contract': False,
 'ndc': True,
 'ndc_far': 2.6,
 'near_scaling': 0.95,
 'isg': False,
 'masked_weight': True,
 'isg_step': -1,
 'ist_step': 9000000000,
 'keyframes': False,
 'scene_bbox': [[-3.0, -1.8, -1.2], [3.0, 1.8, 1.2]],
 'use_mask': True,
 # Optimization settings
 'num_steps': 300001,#300001,
 'batch_size': 4096,
 'num_frames': 75,
 'scheduler_type': 'warmup_cosine',
 'optim_type': 'adam',
 'lr': 0.001,
 'loss_weights':{
     'illum_loss':0.5,
     'reh_static_loss':0.5,
     'liv_static_loss':0.5,
     'liv_dynamic_loss':0.5,
     'wrong_weight_loss':1e-2,
     'hue_loss':1e-2,
     'threshold': 1/3,
 },
 # Regularization

 'distortion_loss_weight': 0.001,
 'histogram_loss_weight': 1.0,
 'l1_time_planes': 0.0,#0.00001,#0.0000001,
 'l1_time_planes_proposal_net': 0.0,#0.00001,#0.000001,
 'plane_tv_weight':0.0002,# 0.0000002,
 'plane_tv_weight_proposal_net': 0.0002,#0.0000002,
 'time_smoothness_weight': 0.0,#0.001,
 'time_smoothness_weight_proposal_net': 0.0,# 1e-05,
 'motion_loss_weight' : 0.0,
 'big_motion_loss_weight' : 0.0,
 'change_hue': 20000,
 # Training settings
 'save_every': 50000,
 'valid_every': 50000,
 'save_outputs': True,
 'train_fp16': True,
 'valid_idx' : 0,

 # Raymarching settings
 'single_jitter': False,
 'num_samples': 96,#48,
 'num_proposal_samples': [512, 256],
 'num_proposal_iterations': 2,
 'use_same_proposal_network': False,
 'use_proposal_weight_anneal': True,
 'proposal_net_args_list': [
  {'num_input_coords': 3, 'num_output_coords': 8, 'resolution': [128, 128, 128]},
  {'num_input_coords': 3, 'num_output_coords': 8, 'resolution': [256, 256, 256]}
 ],
 'multiscale_res': [1, 2, 4, 8],
 # lplane_Model settings
 'L_concat_features_across_scales': True,
 'L_density_activation': 'trunc_exp',
 'L_grid_config': [{
  'grid_dimensions': 2,
  'input_coordinate_dim': 4,
  'output_coordinate_dim': 16,
  'resolution': [64, 64, 64, 38]
 }],
  'L_appearance_embedding_dim': 32,
 # static_Model settings
 'S_concat_features_across_scales': True,
 'S_density_activation': 'trunc_exp',
 'S_linear_decoder': False,
 'S_grid_config': [{
  'grid_dimensions': 2,
  'input_coordinate_dim': 3,
  'output_coordinate_dim': 16,
  'resolution': [64, 64, 64]
 }],
 # dynamic_Model settings
 'D_concat_features_across_scales': True,
 'D_density_activation': 'trunc_exp',
 'D_linear_decoder': False,
 'D_grid_config': [{
  'grid_dimensions': 2,
  'input_coordinate_dim': 4,
  'output_coordinate_dim': 16,
  'resolution': [64, 64, 64, 38]
 }],


}

